




#ifndef _INC_IMCONV_H_
#define _INC_IMCONV_H_



#include "image.h"
#include "keyword.h"


kwDefType(KW_imConv, double thresh; double mxval; uchar mode; AnyImage into;);

#define imConv(IMG, TOTYPE, KWA...)  kwCall(im_Conv_, 2, KW_imConv, IMG, TOTYPE, KWA)

extern AnyImage im_Conv_(AnyImage img, ImageType totype, kwArgDecl(KW_imConv));


#define IMCONV_NORMAL     ((uchar) 0)
#define IMCONV_ZERO       ((uchar) 1)
#define IMCONV_POSITIVE   ((uchar) 2)


#endif
